import UsersModel from '../../common/data/model/usersModel';
import IGetUsersRepo from '../data/repository/IGetUserRepo';

/**
 * this usecase is responsible for calling the repo and returning the users data from the repository
 */
class GettingUsersUsecase {
  private repository: IGetUsersRepo;

  constructor(repository: IGetUsersRepo) {
    this.repository = repository;
  }

  async execute(): Promise<UsersModel> {
    // call usecase and return the repo
    const usersData = await this.repository();
    return usersData;
  }
}

export default GettingUsersUsecase;
