import AdminUser from '~/business-logic/generic/admin-user/common/entity/adminUserEntity';

export type OtpAuthResponse = {
  access_token: string;
  expires_in: number;
  refresh_expires_in: number;
  refresh_token: string;
  token_type: 'Bearer';
};

export interface IOtpAuthRO extends OtpAuthResponse {
  phonenumber: string;
}
const otpAuthRO = (response: IOtpAuthRO): AdminUser => ({
  accessToken: response.access_token,
  expiresIn: response.expires_in,
  phonenumber: response.phonenumber,
  refreshExpiresIn: response.refresh_expires_in,
  refreshToken: response.refresh_token,
  tokenType: response.token_type,
});

export default otpAuthRO;
