import { AdminData } from '../../usecase/phonenumberAuthUsecase';
import phonenumberAuthDTO, { PhonenumberAuthDTOReturnType } from '../dto/phonenumberDto';
import IPhoneNumberAuthRepo from './IPhoneNumberAuthRepo';

export type RepoHttpHandler = (dtoData: PhonenumberAuthDTOReturnType) => Promise<string>;
export default class PhoneNumberAuthRepo implements IPhoneNumberAuthRepo {
  private httpHandler: RepoHttpHandler;

  constructor(httpHandler: RepoHttpHandler) {
    this.httpHandler = httpHandler;
  }

  async execute(adminData: AdminData): Promise<string> {
    // make dto
    const data = phonenumberAuthDTO(adminData);
    // call http handler
    const response = await this.httpHandler(data);
    return response;
  }
}
