import StorageProvider from './storageProvider';

export default class LocalStorageProvider<ValueType> implements StorageProvider<ValueType> {
  setData(key: string, value: ValueType): void {
    const jsonValue = JSON.stringify(value);
    localStorage.setItem(key, jsonValue);
  }

  getData(key: string): ValueType | null {
    const jsonValue = localStorage.getItem(key);
    const value: ValueType = jsonValue && JSON.parse(jsonValue);
    return value;
  }

  deleteData(key: string): void {
    localStorage.removeItem(key);
  }
}
