/* eslint-disable react/jsx-no-constructed-context-values */
import React, { useState } from 'react';
import AdminUserModel from '~/business-logic/generic/admin-user/common/data/model/adminUserModel';

export interface IUserContext {
  user: AdminUserModel | null;
  setUser: React.Dispatch<React.SetStateAction<AdminUserModel | null>> | null;
}
export const UserContext = React.createContext<IUserContext>({ user: null, setUser: null });

export function UserProvider({ children }: React.PropsWithChildren) {
  const [user, setUser] = useState<AdminUserModel | null>(null);

  return <UserContext.Provider value={{ user, setUser }}>{children}</UserContext.Provider>;
}

export const useUser = () => React.useContext(UserContext);
