import CreateUserUsecase from '~/business-logic/core/users/create-user/usecase/createUserUsecase';
import { INewUserData } from '~/business-logic/core/users/create-user/create-account/data/dto/protocols';
import IUseCreateUserVm from '../viewmodel/protocols';

interface ICreateUserModel {
  createUserLogic: CreateUserUsecase;
}

const createUserModel = (dependencies: ICreateUserModel): IUseCreateUserVm => {
  const { createUserLogic } = dependencies;

  const handleSubmitForm = async (newUserData: INewUserData) => {
    await createUserLogic.execute(newUserData);
  };

  return {
    handleSubmitForm,
  };
};

export default createUserModel;
