import React from 'react';
import authAdminPhoneNumberDriven from '~/driven/adapters/auth-admin-phonenumber/authAdminPhoneNumberDriven';
import phonenumberAuthInfra from '~/business-logic/generic/admin-user/authentication/phonnumber-auth';
import authAdminLogin from '~/driven/adapters/auth-admin-login/authAdminLogin';
import otpAuthInfra from '~/business-logic/generic/admin-user/authentication/otp-auth';
import useGetNavigatorAndTokenUpdater from '~/driven/utils/helpers/hooks/getNavigatorAndAccessTokenUpdator';
import AuthenticationView from '../view/AuthenticationView';

export default function Authentication() {
  const { accessTokenUpdateHandler, notLoginAuth, userData } = useGetNavigatorAndTokenUpdater();
  const { user } = userData;

  const authPhonenumberDriven = authAdminPhoneNumberDriven(user, accessTokenUpdateHandler, notLoginAuth);
  const authPhoneLogic = phonenumberAuthInfra(authPhonenumberDriven);

  const authLoginDriven = authAdminLogin(user, accessTokenUpdateHandler, notLoginAuth);
  const otpAuthLogic = otpAuthInfra(authLoginDriven.httpHandler);

  return <AuthenticationView authPhone={authPhoneLogic} otpAuth={otpAuthLogic} />;
}
