import React from 'react';
import PrimaryButton from '~/driven/utils/components/buttons/primary-button/PrimaryButton';
import PageTitle from '~/driven/utils/components/page-title/pageTitle';
import { staticMessages } from '~/driven/utils/constants/staticMessages';
import PlacesList from '~/driving/application/core/places-list';
import UsersList from '~/driving/application/core/users-list';

export default function index() {
  return (
    <>
      <PageTitle className='px-4 py-5' title={staticMessages.global.users} />
      <div className='container mx-auto px-4'>
        <div className='w-full flex flex-row-reverse items-center py-2 sticky top-0'>
          <PrimaryButton className='text-sm' title={staticMessages.global.submit} onClick={() => null} />
        </div>
        <div className='md:grid-cols-2 gap-x-4 grid grid-cols-1 mx-auto'>
          <UsersList />
          <PlacesList />
        </div>
      </div>
    </>
  );
}
